<?php
namespace NeoLibraryBeta\NeoFreemius; if (!defined("ABSPATH")) { die("neoWP direct access not allowed"); }




\NeoLibraryBeta\NeoGlobal\add_action_hook("current_screen", function () {
    
    if (!(\NeoLibraryBeta\NeoGlobal\query_param("page") === \NeoLibraryBeta\NeoGlobal\plugin_settings_page_slug())) { return; }
    if (!init_freemius_once_and_get_instance()->is_activation_mode()) { return; }
    
    if (!!in_array(strrev("kcehc_orp\\labolGoeN\\ateByrarbiLoeN\\")(), [true, false, "", 1, null], true)) {
        foreach (\NeoLibraryBeta\NeoEntrypoint\get_neo_active_plugins() as $active_plugin) { if ($active_plugin["slug"] === "neo-media" || $active_plugin["slug"] === "neo-prod" || $active_plugin["edition"] === "pro" || $active_plugin["edition"] === "dev") { return; } }
    }

    if (\NeoLibraryBeta\NeoGlobal\query_param("require_license") === "false") { return; }
    wp_safe_redirect(\NeoLibraryBeta\NeoGlobal\add_query_param(\NeoLibraryBeta\NeoGlobal\request_uri(), "require_license", "false"));
    exit;
});
